## AgsStartChannel

AgsStartChannel — start channel object to audio loop

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsStartChannel * | ags_start_channel_new ()

## Properties

AgsChannel * | channel | Read / Write
int | sound-scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsStartChannel

## Includes

    #include <ags/audio/task/ags_start_channel.h>

## Description

The AgsStartChannel task starts AgsChannel to AgsAudioLoop.

## Functions

### ags_start_channel_new ()

    AgsStartChannel *
    ags_start_channel_new (AgsChannel *channel,
                           gint sound_scope);

Create a new instance of AgsStartChannel.

#### Parameters

channel | the AgsChannel to start |
sound_scope | the sound scope |

#### Returns

the new AgsStartChannel.

Since: 3.0.0

## Property Details

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsStartChannel

Flags: Read / Write

Since: 3.0.0

### The `“sound-scope”` property

      “sound-scope”              int

The effects sound-scope.

Owner: AgsStartChannel

Flags: Read / Write

Allowed values: [-1,5]

Default value: -1

Since: 3.0.0